import java.awt.Color;

public class Hole extends Disk implements PinballTarget
{
  public Hole( int x, int y )
  {
    super( x, y, 12 );
    setColor( Color.black );
  }
 
  public boolean intersects( Pinball aBall )
  {
    return region().intersects( aBall.region() );
  }

  public void moveTo( int x, int y )
  {
    super.moveTo( x, y );
  }

  public void hitBy( Pinball aBall )
  {
    aBall.moveTo( 0, PinballFrame.FrameHeight + 30 );
    aBall.setMotion( 0, 0 );
  }
}
